National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-1636 Detail

Description

The btrfs_ioctl_clone function in fs/btrfs/ioctl.c in the btrfs functionality in the Linux kernel 2.6.29 through 2.6.32, and possibly other versions, does not ensure that a cloned file descriptor has been opened for reading, which allows local users to read sensitive information from a write-only file descriptor.

Source:  MITRE      Last Modified:  06/07/2010

Quick Info

CVE Dictionary Entry:
CVE-2010-1636
Original release date:
06/07/2010
Last revised:
03/19/2012
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
2.1 LOW
Vector:
(AV:L/AC:L/Au:N/C:P/I:N/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
3.9
CVSS Version 2 Metrics:
Access Vector:
Locally exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5dc6416414fb3ec6e2825fd4d20c8bf1d7fe0395 Patch External Source CONFIRM http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5dc6416414fb3ec6e2825fd4d20c8bf1d7fe0395
http://www.openwall.com/lists/oss-security/2010/05/18/10 External Source MLIST [oss-security] 20100518 Re: kernel: btrfs: check for read permission on src file in the clone ioctl
http://www.openwall.com/lists/oss-security/2010/05/18/2 Patch External Source MLIST [oss-security] 20100518 kernel: btrfs: check for read permission on src file in the clone ioctl
http://www.openwall.com/lists/oss-security/2010/05/25/8 External Source MLIST [oss-security] 20100525 Re: kernel: btrfs: check for read permission on src file in the clone ioctl
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/579585 Exploit; Patch External Source MISC https://bugs.launchpad.net/ubuntu/+source/linux/+bug/579585
https://bugzilla.redhat.com/show_bug.cgi?id=593226 Exploit External Source CONFIRM https://bugzilla.redhat.com/show_bug.cgi?id=593226

Technical Details

Vulnerability Type (View All)

  • Information Leak / Disclosure (CWE-200)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:o:linux:linux_kernel:2.6.29:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.29.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.9:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.30.10:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.1:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.2:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.3:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.4:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.5:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.6:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.7:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.8:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.9:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.10:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.11:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.12:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.31.13:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:2.6.32:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 1 change record found - show changes